
import { commonSettings } from '../common_code/commonSettings.js'

export class relaySettings extends commonSettings
{
    public action : string ="TOGGLE";
    public pulsedelay :number =1000;
    public set(unknownSettings : any) :boolean
    { if (!super.set(unknownSettings)) return false;
     if ("action" in unknownSettings)  this.action =  unknownSettings["action"].toString();
     if ("pulsedelay" in unknownSettings)  this.pulsedelay =  parseInt(unknownSettings["pulsedelay"]);
     return true;
   }
}